• Bonjour Visiteur. Bienvenue sur les nouveaux forums de MacGeneration. La peinture est encore fraiche, quelques boulons doivent être resserrés, plus d’informations demain !

Mac Pro Projet Mac Pro 4.1 flashé 5.1 complet

mariol66

Membre émérite
15 Août 2015
688
92
40
Gironde
  • J’aime
Réactions: Y_E_S

Y_E_S

Membre confirmé
20 Juillet 2008
183
3
Paris
Pourquoi ne pas le re-télécharger, histoire d'être sûr du fichier ?
Alors je t'avoue que je l'ai pris dans l'iMac d'un ami, car je ne sais plus où le télécharger sur l'Appstore... Il n'est pas dans mon historique de téléchargements donc je crois que c'est cuit pour passer par l'Appstore...
 

Y_E_S

Membre confirmé
20 Juillet 2008
183
3
Paris

mariol66

Membre émérite
15 Août 2015
688
92
40
Gironde
  • J’aime
Réactions: Sly54

Y_E_S

Membre confirmé
20 Juillet 2008
183
3
Paris
Ça a marché, c'était bien mon archive qui était mauvaise, mille mercis ça y est je suis en High Sierra et je vais regarder s'il y a des MAJs de sécurité ou autre... ;)
 

Y_E_S

Membre confirmé
20 Juillet 2008
183
3
Paris
Petite question les amis...

Je dois aider un ami à upgrader son Mac Pro, qui est un vrai 5,1...
Il est en Mountain Lion et on va le passer en High Sierra en clean install sur un autre volume que son volume de démarrage Mountain Lion.
Le but est de faire un système clean et de pouvoir booter sur l'ancien volume si une tâche ne peut être faite sur High Sierra.

La bootrom va être flashée donc lors de l'install de High Sierra sur son 5,1.

Juste pour être certain...
Son Mac sera bien bootable en Mountain Lion sur l'ancien volume, même après le flashage de la bootrom lors de l'install High Sierra?

Merci ^_^
 

mariol66

Membre émérite
15 Août 2015
688
92
40
Gironde
Je n’ai jamais testé, Mountain lion c’est quand même assez vieux :p Mais par exemple la 140.0.0.0.0 peut être utilisé avec 10.6.8 (snow leopard), donc mountain lion et une bootrom plus ancienne devrait fonctionner sans problème.

Mountain lion étant vraiment vieux, ton amis reste sur cette version parce que ses logiciels ne sont pas compatible avec des version plus récente ?
 

Y_E_S

Membre confirmé
20 Juillet 2008
183
3
Paris
Je n’ai jamais testé, Mountain lion c’est quand même assez vieux :p Mais par exemple la 140.0.0.0.0 peut être utilisé avec 10.6.8 (snow leopard), donc mountain lion et une bootrom plus ancienne devrait fonctionner sans problème.

Mountain lion étant vraiment vieux, ton amis reste sur cette version parce que ses logiciels ne sont pas compatible avec des version plus récente ?

Oui c'est bien ça, des applis, mais surtout des plug-ins tout particulièrement...
Snow Leopard est bien plus vieux que Mountain Lion, donc si ça passe sur SN, ça passera sur ML ;)

Je suis justement en train de regarder ces histoires de bootroms sur la première page du thread qui a été postée plus haut...

Actuellement, je suis en MP51.0089.B00 qui est celle qui a été flashée par l'install High Sierra.
À priori je compte rester en High Sierra qui m'a l'air très bien (toutes mes anciennes applis passent crème) et ne pas passer en Mojave qui amène donc ce nouveau système de fichiers.
Je me vois bien faire au moins 3 ans avec cette machine dans cette config et en High Sierra.

Donc ai-je un intérêt à flasher à nouveau la bootrom de mon mac vers une autre version, si je ne compte pas upgrader OSX?

Il me reste à intégrer ma carte graphique,
et je ferai peut-être un upgrade SSD via le PCIe si c'est bootable bien entendu (j'ai cru comprendre que c'était pas toujours le cas) mais je me pose la question tellement les 36Go de ram sous la capot ont transformé la machine...
Un SSD m'apportera un gain au lancement des applis et à l'ouverture des fichiers, mais je ne travaille plus du tout en mémoire virtuelle là avec 36Go de ram. Donc je pense en rester à la carte graphique.
À voir...

Je me pose donc la question de l'intérêt de flasher la bootrom vers une autre version si je ne fais pas d'upgrade SSD...
 

Lil Montréal

Membre confirmé
14 Juin 2019
103
16
66
Hello,

Comme l'a dit Mariol66, la 140.0.0.0.0 peut démarrer avec SL et permet le boot avec certains SSD, mais ...
il serait dommage de se priver de pouvoir tourner avec Mojave sur MP 5.1 car c'est le système le plus abouti sur cette machine.
La 144.0.0.0.0 permet le boot avec Mojave, High Sierra et Sierra, avec une GPU Metal (type RX 580 ou VGA 56 ou 64, etc ...).
Metal sera la solution la plus performante pour les nouvelles apps de dessin, de 3D, de video, etc ... sans ralentissement sur les CPU du Mac.
Metal va complètement remplacer Open GL et CL et donc un MP 5.1 sera parfaitement utilisable avec les nouvelles Apps et pendant encore de nombreuses années.
Mojave fait tourner les Apps en 64 ET en 32 bits (ex: Excel 2011 tourne sur Mojave).
La bootRom en 144.0.0.0.0 permet de booter sur n'importe quel NVMe et surtout sur les RAID(s) NVMe.
Elle permet toutes les inits que l'on trouve sur les dernières machines.
Refuser de passer au SSD revient au même que d'utiliser des dérouleurs à bande au lieu des DD :siffle:

Mojave et la 144.0.0.0.0 font littéralement revivre ses vieilles machines et ce serait une erreur de ne pas y passer :up:

Amitiés.
 

mariol66

Membre émérite
15 Août 2015
688
92
40
Gironde
Idem que @Lil Montréal, j'upgraderais la bootrom à sa version ultime la 144.0.0.0.0 elle t'ouvrira les portes des SSD NVMe bootables. Avec les fêtes de fins d'années qui approchent il peut y avoir de bonnes affaires à faire sans se ruiner.

Evidement les firmware est indépendant du la version de MacOS et même si tu reste sous High Sierra, tu bénéficiera de touts les avantages de la 144.0.0.0.0

Mojave est clairement au top sur le Mac Pro, d'ailleurs j'ai jamais fait aussi peu de temps sur un système que lorsque j'étais sous High Sierra (les débuts étaient chaotiques :p ) et dès la première version de Mojave je l'ai trouvée bien mieux notamment sur les drivers de la RX 580.

Après, Mojave désactivera la plupart des cartes Wifi d'origines des Mac Pro, il faudra soit la remplacer ou soit récupérer les drivers des anciens systèmes, ou si comme moi ton Mac est en ethernet, ce n'est pas trop gênant.

Et aussi à surveiller de plus près concernant les bi-processeurs 4.1>5.1 qui n'ont pas upgradé leurs processeurs (je crois que c'est ton cas) avec des problèmes de sons depuis 10.14.4.
 

Y_E_S

Membre confirmé
20 Juillet 2008
183
3
Paris
Merci pour ces précisions, ça fait énormément d'avantages en effet...

Pour le coup il n'est pas certain que j'y aie intérêt à flasher en restant en High Sierra, en revanche l'ami pour lequel je dois aider à l'upgrade oui... ne serait ce que pour le boot en Mountain Lion...

Saurais tu me dire Lil Montréal, où je peux trouver un fichier pour flasher en 140.0.0.0.0 ?

Concernant l'ami en question et le fait qu'il aura besoin d'utiliser d'anciens plug-ins, ils sont donc forcément en Open GL... ils ne tourneront donc plus en Mojave donc je suppose?


Concernant mes applis 32 bits j'ai peur j'avoue de voir arriver des incompatibilités en Mojave, et je ne suis pas certain d'avoir envie de ce nouveau système de gestion de fichiers...
Faut-il passer par un reformatage?
Les anciens disques formatés avec l'ancien format de fichier sont toujours fonctionnels sur Mojave?

Si je comprends bien, c'est un OS de transition 32/64 bits?
C'est donc la solution qui offrirait le plus d'ouverture? (Catalina ne faisant plus tourner le 32 bits il me semble?)
 

Y_E_S

Membre confirmé
20 Juillet 2008
183
3
Paris
Idem que @Lil Montréal, j'upgraderais la bootrom à sa version ultime la 144.0.0.0.0 elle t'ouvrira les portes des SSD NVMe bootables. Avec les fêtes de fins d'années qui approchent il peut y avoir de bonnes affaires à faire sans se ruiner.

Evidement les firmware est indépendant du la version de MacOS et même si tu reste sous High Sierra, tu bénéficiera de touts les avantages de la 144.0.0.0.0

Mojave est clairement au top sur le Mac Pro, d'ailleurs j'ai jamais fait aussi peu de temps sur un système que lorsque j'étais sous High Sierra (les débuts étaient chaotiques :p ) et dès la première version de Mojave je l'ai trouvée bien mieux notamment sur les drivers de la RX 580.

Après, Mojave désactivera la plupart des cartes Wifi d'origines des Mac Pro, il faudra soit la remplacer ou soit récupérer les drivers des anciens systèmes, ou si comme moi ton Mac est en ethernet, ce n'est pas trop gênant.

Et aussi à surveiller de plus près concernant les bi-processeurs 4.1>5.1 qui n'ont pas upgradé leurs processeurs (je crois que c'est ton cas) avec des problèmes de sons depuis 10.14.4.

Les inconvénients que tu cites me feront rester en High Sierra donc.
En effet, je n'ai pas fait d'upgrade proc, et l'ami que je dois aider non plus...
Et oui, je suis en connexion ethernet avec cette machine.

En plus je sais que ma carte graphique (GTX770) est plug and play en High Sierra, ce qui n'est pas le cas en Mojave, il va me falloir trouver des Kexts correspondants il me semble...
Si je dois redouter des soucis de son ça vaut pas le coup.

J'avoue que je ne sais pas ce qu'est un SSD NVMe...
Avec la rom que j'ai, si je veux mettre un SSD sur un port PCIe avec les cartes qu'on a vu plus haut, il ne serait pas bootable?
 

mariol66

Membre émérite
15 Août 2015
688
92
40
Gironde
Effectivement j'en avais oublié ta carte graphique GTX770 et donc sans driver pour Mojave, donc mieux vaut rester sur High Sierra, si un jour tu change pour une RX 580 par exemple, elle sera reconnue nativement sans driver.

Pour ton ami vu qu'il a un vrai 5.1 donc avec un ou des processeurs de la serie 56.. n'aura pas de soucis de son sous Mojave, ce sont uniquement les bi-processeurs de 2009 qui n'ont pas fait d'upgrade CPU.

Les SSD NVMe sont des barrettes de mémoires que l'on va installer sur des cartes PCIe, les débits tournent autour des 1200 - 1500 mb/s en écriture et en lecture.

Les SSD SATA si tu l'installe en lieu et place d'un HDD dans les baies du dessus de donnera environ 250 mb/s en L/E limité par le SATA 2 du Mac Pro.

Après tu peux mettre une carte PCIe sur lequel tu installera un SSD SATA du coup il ne sera plus bridé par le SATA 2 du Mac vu que le débit passera par le port PCIe

Avant le débridage des Mac Pro pour pouvoir bénéficier d'un SSD NVMe bootable c'était un bon choix pour gagner en vitesse de débit. Aujourd'hui on trouve des SSD NVMe de bonne capacité à des prix corrects et les cartes PCIe pour recevoir la barrette, tu en trouve à moins de 30€. Tu peux là aussi avoir des cartes beaucoup plus performantes avec des débit allucinant mais les couts montent vites et il faut en avoir l'utilité.
 
  • J’aime
Réactions: Y_E_S

Y_E_S

Membre confirmé
20 Juillet 2008
183
3
Paris
Mille mercis pour ces précisions.

Aucun intérêt à flasher la rom pour moi dans l'immédiat, et pour l'ami en question ça serait donc intéressant de passer en 140.0.0.0.0 pour avoir le boot en Mountain Lion, et lui, passerait sous Mojave.

Il reste à voir ces histoires de Metal à la place de Open GL.
Pour le coup, je suis à peu près certain que ses plug-ins et softs divers tournent sous Open GL.

Merci mariol66, c'est beaucoup plus clair ^_^

Dernière question, tu sais où je peux trouver ce fameux fichier pour flasher la rom en 140.0.0.0.0 s'il te plaît?
 

Lil Montréal

Membre confirmé
14 Juin 2019
103
16
66
Hello,
.......
Saurais tu me dire Lil Montréal, où je peux trouver un fichier pour flasher en 140.0.0.0.0 ?
.......
Très simple :
Si tu es en High Sierra, tu cliques sur ce lien "Télécharger macOS Mojave" puis tu lances l'installer.
Il va alors t'afficher une fenêtre te disant de mettre à jour le firmware en arrêtant le Mac puis en le redémarrant en maintenant appuyé le bouton jusqu'à entendre le son long ..... etc ...
Il faut te conformer exactement à ce qui est indiqué puis lorsque l'install du nouveau firmware aura eu lieu, cela demande un peu de temps, avec la nouvelle fenêtre de mise à jour Mojave, tu quittes sans installer Mojave et pis c'est tout :happy:

Amitiés
 
  • J’aime
Réactions: Y_E_S

Y_E_S

Membre confirmé
20 Juillet 2008
183
3
Paris
Super, merci à toi ;)
 

mariol66

Membre émérite
15 Août 2015
688
92
40
Gironde
Les Bootroms sont incorporées dans les installeur de Mojave correspondant c'est d'ailleurs pour celà que pour qu'elle soitent proposées à l'utilisateur il faut l'installeur ENTIER de Mojave.

La 140.0.0.0.0 à été fournie de 10.14.1 à 10.14.4, la 144.0.0.0.0 est fournie à partir de 10.14.5

Ici tu a le lien pour la dernière version de Mojave (la 10.14.6) donc avec la bootrom 144.0.0.0.0
https://support.apple.com/fr-fr/HT210190

Il faudrait trouver un full installer de 10.14.1 à 10.14.4 pour la 140.0.0.0.0 si tu tiens vraiment à mettre cette version.
 

Y_E_S

Membre confirmé
20 Juillet 2008
183
3
Paris
Les Bootroms sont incorporées dans les installeur de Mojave correspondant c'est d'ailleurs pour celà que pour qu'elle soitent proposées à l'utilisateur il faut l'installeur ENTIER de Mojave.

La 140.0.0.0.0 à été fournie de 10.14.1 à 10.14.4, la 144.0.0.0.0 est fournie à partir de 10.14.5

Ici tu a le lien pour la dernière version de Mojave (la 10.14.6) donc avec la bootrom 144.0.0.0.0
https://support.apple.com/fr-fr/HT210190

Il faudrait trouver un full installer de 10.14.1 à 10.14.4 pour la 140.0.0.0.0 si tu tiens vraiment à mettre cette version.

J'avais mal lu, merci de la précision, j'ai un Mojave sur ma machine, mais je vais télécharger l'installer de ton lien ;)
C'est bien la 144.0.0.0.0 qui m'était conseillée plus haut...